{% extends "users/userspace.html" %}

{% block content %}
    <div class="container my-5">
    
    <h1>Gérer mon profil</h1>
    
    <h3 class="mt-3"><i class="fas fa-user me-3"></i>Mes informations</h3>

    <div class="table-responsive">
        <table class="table align-middle">
            <tr>
                <td>
                    Nom et prénom:
                </td>
                <td>
                    {{request.user.last_name|upper }} {{request.user.first_name}}
                </td>
            </tr>
            <tr>
                <td>
                    Adresse mail :
                </td>
                <td>
                    {{ request.user.email }}
                </td>
            </tr>
            <tr>
                <td>
                    Numéro de téléphone :
                </td>
                <td> 
                    {% if request.user.phone_number %}{{ request.user.phone_number }}{% else %}Non renseigné{% endif %}
                </td>
            </tr>
            <tr>
                <td>
                    Adresse :
                </td>
                <td>
                    {% if request.user.home_address %}{{ request.user.home_address }}{% else %}Non renseignée{% endif %}
                </td>
            </tr>
            <tr>
                <td>
                    Statut :
                </td>
                <td>
                    {% if request.user.statut == 2 %}
                    <span class="badge bg-success">Paysan</span>
                    {% elif request.user.statut == 3 %}
                    <span class="badge bg-warning">Gestionnaire</span>
                    {% elif request.user.statut == 4 %}
                    <span class="badge bg-danger">Non confirmé</span>
                    {% else %}
                    <span class="badge bg-primary">Utilisateur</span>
                    {% endif %}
                </td>
            </tr>
            <tr>
                <td>
                    Adhérent en {% now "Y" %} ? :
                </td>
                <td>
                    {%if request.user.adherent %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
                </td>
            </tr>
            <tr>
                <td>
                    Essai gratuit possible ? :
                </td>
                <td>
                    {%if request.user.essai_gratuit %}<i class="fas fa-check" style="color: green;"></i>{% else %}<i class="fas fa-times" style="color: red;"></i>{% endif %}
                </td>
            </tr>
        </table>
        </div>
    
        <div class="row mt-3">
            <div class="col text-left">
                
                <h3><i class="fas fa-lock me-3"></i>Changement de mot de passe</h3>
                <hr>
    <a href="{% url 'password_change' %}" class="btn btn-secondary"><i class="fas fa-key me-3"></i>Changer mon mot de passe</a>

            </div>
            <div class="col text-left">
                
                <h3><i class="fas fa-brush me-3"></i>Choix du thème</h3>
                <hr>
                <a class="btn btn-secondary me-3" href="#" data-bs-theme-value="light"><i class="fas fa-sun me-3"></i>Clair</a>
                <a class="btn btn-secondary me-3" href="#" data-bs-theme-value="dark"><i class="fas fa-moon me-3"></i>Sombre</a>
                <a class="btn btn-secondary" href="#" data-bs-theme-value="auto"><i class="fas fa-adjust me-3"></i>Automatique</a>
            </div>
        </div>
    </div>
{% endblock %}
